package com.dxhy.core.job.pojo;

/**
 * 全票面底账采集请求数据项
 *
 * @author panyan
 */
public class CollectData extends BasePojo {

    private static final long serialVersionUID = 5186848186806062582L;
    /**
     * 批次号
     * 
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String batchNo;
    /**
     * 购方税号
     * 
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String buyerTaxNo;
    /**
     * 开始时间
     * 
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String acquisitionDateBegin;
    /**
     * 结束时间
     * 
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String acquisitionDateEnd;
    /**
     * 开始行数
     * 
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private Integer startRow;
    /**
     * 状态标志 1时继续请求，0时结束请求
     * 
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String status;
    /**
     * 发票类型
     * 
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String invoiceType;

    public String getInvoiceType() {
        return invoiceType;
    }

    public void setInvoiceType(String invoiceType) {
        this.invoiceType = invoiceType;
    }

    public String getBatchNo() {
        return batchNo;
    }

    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    public String getBuyerTaxNo() {
        return buyerTaxNo;
    }

    public void setBuyerTaxNo(String buyerTaxNo) {
        this.buyerTaxNo = buyerTaxNo;
    }

    public String getAcquisitionDateBegin() {
        return acquisitionDateBegin;
    }

    public void setAcquisitionDateBegin(String acquisitionDateBegin) {
        this.acquisitionDateBegin = acquisitionDateBegin;
    }

    public String getAcquisitionDateEnd() {
        return acquisitionDateEnd;
    }

    public void setAcquisitionDateEnd(String acquisitionDateEnd) {
        this.acquisitionDateEnd = acquisitionDateEnd;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getStatus() {
        return status;
    }

    public Integer getStartRow() {
        return startRow;
    }

    public void setStartRow(Integer startRow) {
        this.startRow = startRow;
    }

}
